Skip to main content
GET
/
contacts
/
folders
List Contact Folders
curl --request GET \
  --url https://api.truedy.ai/api/public/v1/contacts/folders \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "folder_abc123",
      "name": "VIP Leads",
      "description": "High-priority Q2 leads",
      "contact_count": 47,
      "created_at": "2026-03-01T10:00:00Z"
    },
    {
      "id": "folder_def456",
      "name": "Cold Outreach",
      "description": null,
      "contact_count": 312,
      "created_at": "2026-02-15T08:00:00Z"
    }
  ],
  "meta": {
    "request_id": "req_32e7531c",
    "ts": "2026-04-05T10:22:00Z"
  },
  "pagination": {
    "total": 24,
    "limit": 50,
    "offset": 0,
    "has_more": false
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header: Bearer <your_api_key>

Query Parameters

limit
integer
default:50

Max results to return (1-100)

Required range: 1 <= x <= 100
offset
integer
default:0

Pagination offset

Required range: x >= 0

Response

List of contact folders